curl --request POST \
--url 'https://api.stateset.com/api/v1/boms/{id}/components' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"component_product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"component_sku": "string",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"position": "string",
"quantity": "string",
"unit_of_measure": "string"
}'
{
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"component_sku": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"position": "string",
"quantity": "string",
"unit_of_measure": "string"
}
Add a component
Add a component
POST
/
api
/
v1
/
boms
/
{id}
/
components
curl --request POST \
--url 'https://api.stateset.com/api/v1/boms/{id}/components' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"component_product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"component_sku": "string",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"position": "string",
"quantity": "string",
"unit_of_measure": "string"
}'
{
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"component_sku": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"position": "string",
"quantity": "string",
"unit_of_measure": "string"
}
Path parameters
string
required
BOM ID
Request body
CreateBomComponentRequest
string,null
string,null
string
required
string,null
string,null
string
required
Decimal quantity as a string.
string,null
Response
BomComponentResponse
string
required
string,null
string
required
string
required
string,null
string,null
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/boms/{id}/components' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"component_product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"component_sku": "string",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"position": "string",
"quantity": "string",
"unit_of_measure": "string"
}'
{
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"component_sku": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"position": "string",
"quantity": "string",
"unit_of_measure": "string"
}
Last modified on August 31, 2026